name: sfm_app
description: Smart Fire Monitoring

publish_to: "none" # Remove this line if you wish to publish to pub.dev

version: 1.0.8+8

environment:
  sdk: ">=3.0.1 <4.0.0"

dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter
  cupertino_icons: ^1.0.2
  shared_preferences: ^2.2.2
  intl: ^0.19.0
  firebase_core: ^3.13.0
  firebase_messaging: ^15.2.5
  flutter_local_notifications: ^17.2.4
  permission_handler: ^11.0.1
  # flex_color_scheme: ^7.2.0
  flex_color_scheme: ^8.1.0
  go_router: ^13.1.0
  http: ^1.3.0
  top_snackbar_flutter: ^3.1.0
  badges: ^3.1.2
  # google_maps_cluster_manager: ^3.1.0
  google_maps_cluster_manager_2: ^3.2.0
  dropdown_button2: ^2.3.9
  maps_launcher: ^2.2.1
#  flutter_barcode_scanner: ^2.0.0
  flutter_barcode_scanner_plus: ^3.0.8
  search_choices: ^2.3.1
  dio: ^5.7.0
  rxdart: ^0.28.0
  geolocator: ^11.1.0
  qr_flutter: ^4.1.0
  flutter_polyline_points: ^2.1.0
  simple_ripple_animation: ^0.1.0
  fl_chart: ^0.64.0
  # persistent_bottom_nav_bar_v2: ^4.2.8
  persistent_bottom_nav_bar: ^6.2.1
  win32: ^5.10.0
  google_maps_flutter: ^2.12.2
  data_table_2: ^2.5.18
  url_launcher: ^6.3.1
  app_settings: ^5.1.1
  lottie: ^3.3.1

dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^2.0.0
  change_app_package_name: ^1.4.0
  flutter_launcher_icons: ^0.14.3

flutter:
  uses-material-design: true
  generate: true
  assets:
    - assets/images/
    - assets/icons/
    - assets/map_themes/
    - assets/sounds/
    - assets/animations/

flutter_launcher_icons:
  android: "launcher_icon"
  ios: true
  image_path: "assets/images/lo-go.png"
  min_sdk_android: 21 # android min sdk min:16, default 21
  web:
    generate: true
    image_path: "assets/images/lo-go.png"
    background_color: "#hexcode"
    theme_color: "#hexcode"
  windows:
    generate: true
    image_path: "assets/images/lo-go.png"
    icon_size: 48 # min:48, max:256, default: 48
  macos:
    generate: true
    image_path: "assets/images/lo-go.png"

